window.Gleam.initSearch([{"doc":"pona","title":"pona","content":"# Pona - A library for toki pona\n\nAn example program:\n\n```gleam\nimport pona/word\nimport gleam/io\nimport gleam/result\n\npub fn main() {\n    word.word(&quot;toki&quot;)\n    |&gt; word.fetch\n    |&gt; result.unwrap(word.Word(&quot;nimi&quot;, &quot;name, word&quot;))\n    |&gt; word.get_definition\n    |&gt; io.println\n\n    word.word(&quot;jan&quot;)\n    |&gt; word.language(&quot;es&quot;)\n    |&gt; word.fetch\n    |&gt; result.unwrap(word.Word(&quot;nimi&quot;, &quot;name, word&quot;))\n    |&gt; word.get_definition\n    |&gt; io.println\n}\n```\n","url":"index.html"},{"doc":"pona/compound","title":"Compound","content":"pub type Compound {\n  Compound(word: String, definitions: Dict(String, Int))\n}\n\nCompound(word: String, definitions: Dict(String, Int))\n\n\nSynonyms:\npona/compound.Compound\npona/compound Compound","url":"pona/compound.html#Compound"},{"doc":"pona/compound","title":"CompoundError","content":"pub type CompoundError {\n  DynamicError(dynamic.Dynamic)\n  WordNotFound(String)\n}\n\nDynamicError(dynamic.Dynamic)\n\n\nWordNotFound(String)\n\n\nSynonyms:\npona/compound.CompoundError\npona/compound CompoundError","url":"pona/compound.html#CompoundError"},{"doc":"pona/compound","title":"CompoundFetcher","content":"pub type CompoundFetcher {\n  CompoundFetcher(english: String)\n}\n\nCompoundFetcher(english: String)\n\n\nSynonyms:\npona/compound.CompoundFetcher\npona/compound CompoundFetcher","url":"pona/compound.html#CompoundFetcher"},{"doc":"pona/compound","title":"compound","content":"pub fn compound(english: String) -&gt; CompoundFetcher\n\nSynonyms:\npona/compound.compound\npona/compound compound","url":"pona/compound.html#compound"},{"doc":"pona/compound","title":"fetch","content":"pub fn fetch(\n  fetcher: CompoundFetcher,\n) -&gt; Result(Compound, CompoundError)\n\nSynonyms:\npona/compound.fetch\npona/compound fetch","url":"pona/compound.html#fetch"},{"doc":"pona/compound","title":"get_definitions","content":"pub fn get_definitions(compound: Compound) -&gt; Dict(String, Int)\n\nSynonyms:\npona/compound.get_definitions\npona/compound get_definitions","url":"pona/compound.html#get_definitions"},{"doc":"pona/compound","title":"pona/compound","content":"","url":"pona/compound.html"},{"doc":"pona/word","title":"Word","content":"pub type Word {\n  Word(word: String, def: String)\n}\n\nWord(word: String, def: String)\n\n\nSynonyms:\npona/word.Word\npona/word Word","url":"pona/word.html#Word"},{"doc":"pona/word","title":"WordError","content":"pub type WordError {\n  JSONDecodeError(json.DecodeError)\n  DynamicError(dynamic.Dynamic)\n  WordNotFound(String)\n  DataParsingError(String)\n}\n\nJSONDecodeError(json.DecodeError)\n\n\nDynamicError(dynamic.Dynamic)\n\n\nWordNotFound(String)\n\n\nDataParsingError(String)\n\n\nSynonyms:\npona/word.WordError\npona/word WordError","url":"pona/word.html#WordError"},{"doc":"pona/word","title":"WordFetcher","content":"pub type WordFetcher {\n  WordFetcher(word: String, lang: String)\n}\n\nWordFetcher(word: String, lang: String)\n\n\nSynonyms:\npona/word.WordFetcher\npona/word WordFetcher","url":"pona/word.html#WordFetcher"},{"doc":"pona/word","title":"sona_linku","content":"pub const sona_linku: String\n\nSynonyms:\npona/word.sona_linku\npona/word sona_linku","url":"pona/word.html#sona_linku"},{"doc":"pona/word","title":"fetch","content":"pub fn fetch(wf: WordFetcher) -&gt; Result(Word, WordError)\n\nSynonyms:\npona/word.fetch\npona/word fetch","url":"pona/word.html#fetch"},{"doc":"pona/word","title":"get_definition","content":"pub fn get_definition(word: Word) -&gt; String\n\nSynonyms:\npona/word.get_definition\npona/word get_definition","url":"pona/word.html#get_definition"},{"doc":"pona/word","title":"language","content":"pub fn language(wf: WordFetcher, new: String) -&gt; WordFetcher\n\nSynonyms:\npona/word.language\npona/word language","url":"pona/word.html#language"},{"doc":"pona/word","title":"word","content":"pub fn word(word: String) -&gt; WordFetcher\n\nSynonyms:\npona/word.word\npona/word word","url":"pona/word.html#word"},{"doc":"pona/word","title":"pona/word","content":"","url":"pona/word.html"}]);